* 68000longをZ80/8086形式の４バイト(long)データにして格納する関数
* unchar *ltoc80(long c,unchar buff[4])
* buffにはbyte境界でも書き込めるようにしておく

	.text
	.even

	.xdef	_ltoc80
_ltoc80:
	movem.l	4(sp),d0/a0
	move.b	d0,(a0)		* L:L
	swap	d0
	move.b	d0,2(a0)	* H:L
	lsr.l	#8,d0
	move.b	d0,3(a0)	* H:H
	swap	d0
	move.b	d0,1(a0)	* L:H
	addq.w	#4,a0		* next point
	move.l	a0,d0
	rts

	.end
